#!/bin/ksh

#**************************************************************
# Author: Martial Mancip
# Contact: Martial.Mancip__at__ipsl.jussieu.fr
# $Revision::                                          $ Revision of last commit
# $Author::                                            $ Author of last commit
# $Date::                                              $ Date of last commit
# IPSL (2006)
#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
#
#**************************************************************

# bypass specific internationalization (for gawk)
export LC_ALL="C"

# By default, all libIGCM_sys save functions will protect output datas (RUN execution mode)
# other values : DEB(ug), DEV(elopment).
JobType=${JobType:=RUN}

#====================================================
# set PackDefault false by default
PackDefault=false

#====================================================
# set BigBrother false by default
BigBrother=false

# variable that must have lower case value.
typeset -l config_Post_RebuildFromArchive

# no need to be so verbose in checking mode
if [ ! X${TaskType} = Xchecking ] ; then
  echo
  echo "===================================================="
  echo "Where do we run ?" $( hostname )
  uname -a
  echo "===================================================="
  echo
fi

if [ X${JobType} = XDEB ] ; then
    echo "DEBUG mode : activation of 'set -vx' mode."
    set -vx
    DEBUG_debug=true
    DEBUG_sys=true
fi

#====================================================
case $( hostname -s ) in
    ada*)
        [ ! X${TaskType} = Xchecking ] && echo "sys source ada Intel X-64 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_ada.ksh;;

    mercure0?)
        [ ! X${TaskType} = Xchecking ] && echo "sys source mercure frontend X-64 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_mercure.ksh;;

    mercure2?)
        [ ! X${TaskType} = Xchecking ] && echo "sys source mercure Nec SX9 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_mercurex9.ksh;;

    curie*)
       [ ! X${TaskType} = Xchecking ] && echo "sys source curie Intel X-64 lib."
       . ${libIGCM}/libIGCM_sys/libIGCM_sys_curie.ksh;;

    titane*)
        [ ! X${TaskType} = Xchecking ] && echo "sys source titane Intel X-64 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_titane.ksh;;

    asterix*|obelix*)
        [ ! X${TaskType} = Xchecking ] && echo "sys source obelix or asterix lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_obelix.ksh;;
    iitm*)
        [ ! X${TaskType} = Xchecking ] && echo "sys source iitm lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_iitm.ksh;;
    *)
        [ ! X${TaskType} = Xchecking ] && echo "sys source default lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_default.ksh;;
esac

# Set default umask (umask is 0027 on some machines : CCRT machine at least)
umask 0022
